Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class LazyDERSequence

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.ASN1Object
                  org.bouncycastle.asn1.ASN1Sequence
                      org.bouncycastle.asn1.DERSequence
                          org.bouncycastle.asn1.LazyDERSequence

All Implemented Interfaces:
  DEREncodable, DERTags

    public class LazyDERSequence

extends DERSequence

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Method Summary
`DEREncodable` | `getObjectAt(int index)` return the object at the sequence position indicated by index.
`java.util.Enumeration` | `getObjects()`
`int` | `size()` return the number of objects in this sequence.

Methods inherited from class org.bouncycastle.asn1.ASN1Sequence
`addObject, getInstance, getInstance, hashCode, parser, toString`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`equals, fromByteArray`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDEREncoded, getDERObject, getEncoded, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getObjectAt

    public DEREncodable getObjectAt(int index)

  Description copied from class: `ASN1Sequence`
  return the object at the sequence position indicated by index.

  Overrides:
    `getObjectAt` in class `ASN1Sequence`
  Parameters:
    `index` - the sequence number (starting at zero) of the object
  Returns:
    the object at the sequence position indicated by index.

### getObjects

    public java.util.Enumeration getObjects()

  Overrides:
    `getObjects` in class `ASN1Sequence`

### size

    public int size()

  Description copied from class: `ASN1Sequence`
  return the number of objects in this sequence.

  Overrides:
    `size` in class `ASN1Sequence`
  Returns:
    the number of objects in this sequence.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD